Subject: bug#56305: 29.0.50; 'yes-or-no-p' deselects minibuffer frame

From: martin rudalics <[email-masked]>
Date: Thu, 7 Jul 2022 09:55:18 +0200

> An idea I had on Sunday was to forcibly set the window system focus to
 > the minibuffer frame just before the recursive edit in read_minibuf,
 > though I didn't post a patch for it.  This appears to work for me.

This will still raise the minibuffer frame above the normal frame if
your window manager uses a "Raise on focus" policy.  So it's not any
different from using 'select-frame-set-input-focus' here.

AFAICT the most simple approach appears to restore the Emacs 26 behavior
for sessions with separate minibuffer frames.  What would the semantics
of 'minibuffer-follows-selected-frame' be for such a session anyway?

martin